import { Token } from '@lumino/coreutils';
import { IRequireJS } from './requirejs';
import { IModule, IModuleMember } from './types';
import { ServiceManager } from '@jupyterlab/services';
import { ISettingRegistry } from '@jupyterlab/settingregistry';
export declare namespace ImportResolver {
    interface IOptions {
        modules: Record<string, IModule>;
        tokenMap: Map<string, Token<any>>;
        requirejs: IRequireJS;
        settings: ISettingRegistry.ISettings;
        serviceManager: ServiceManager | null;
        dynamicLoader?: (transpiledCode: string) => Promise<IModule>;
        /**
         * Path of the module to load, used to resolve relative imports.
         */
        basePath: string | null;
    }
}
export declare class ImportResolver {
    private _options;
    constructor(_options: ImportResolver.IOptions);
    set dynamicLoader(loader: (transpiledCode: string) => Promise<IModule>);
    /**
     * Convert import to:
     *   - token string,
     *   - module assignment if appropriate module is available,
     *   - requirejs import if everything else fails
     */
    resolve(module: string): Promise<Token<any> | IModule | IModuleMember>;
    private _getCDNConsent;
    private _resolveKnownModule;
    private _resolveAMDModule;
    private _resolveLocalFile;
}
