import ts from 'typescript';
export declare class NoDefaultExportError extends Error {
}
export declare namespace PluginTranspiler {
    interface IOptions {
        compilerOptions: ts.CompilerOptions & {
            target: ts.ScriptTarget;
        };
    }
}
export declare class PluginTranspiler {
    private _options;
    readonly importFunctionName = "require";
    constructor(options: PluginTranspiler.IOptions);
    /**
     * Transpile an ES6 plugin into a function body of an async function,
     * returning the plugin that would be exported as default.
     */
    transpile(code: string, requireDefaultExport: boolean): string;
    private _exportWrapperTransformer;
    private _awaitRequireTransformer;
    private _requireDefaultExportTransformer;
}
